! This file is part of HiggsBounds
!  -KW
!******************************************************************
module S95tables_type1
!******************************************************************	

 implicit none
 
 !table type 1-----------------------------	
 type table1	
  integer :: id,nx,OBid,charge
  character(LEN=45) :: label
  character(LEN=3) :: expt	
  double precision :: xmax,xmin,sep,deltax
  double precision, pointer :: dat(:,:) !in dat(a,1:2)... obs=1,pred=2		
 end type
 !------------------------------------------ 

 contains

 !************************************************************ 
 subroutine initializetables_type1_blank(tablet1)
 !***********************************************************  
 ! still leaves dat unallocated
  integer:: i
  type(table1) :: tablet1(:)

  do i=lbound(tablet1,dim=1),ubound(tablet1,dim=1)
   tablet1(i)%id     = -1
   tablet1(i)%nx     = -1
   tablet1(i)%OBid   = -1
   tablet1(i)%charge = -1
   tablet1(i)%label  = ''
   tablet1(i)%expt   = ''
   tablet1(i)%xmax   = -1.0D0
   tablet1(i)%xmin   = -1.0D0
   tablet1(i)%sep    = -1.0D0
   tablet1(i)%deltax = -1.0D0
  enddo
 
 end subroutine initializetables_type1_blank

 !************************************************************ 
 subroutine initializetables1(S95_t1)
 !***********************************************************  
 ! fills S95_t1
 !*********************************************************** 
  use store_pathname
  implicit none

  !--------------------------------------input
  type(table1) :: S95_t1(:)
  !-----------------------------------internal
  logical :: newtables
  integer :: x,xbeg,xend	
  character(len=100),allocatable :: filename(:)
  character(LEN=pathname_length+150) :: fullfilename	
  !-------------------------------------------  
  
  xbeg=lbound(S95_t1,dim=1)
  xend=ubound(S95_t1,dim=1)
  
  allocate(filename(xbeg:xend))    
  x=xbeg-1

  !instead, could read in the values of xmin,xmax,sep from the
  !files, but it's kinda nice having them all here to refer to

  newtables=.True.  ! i.e. use the recommended LEP single Higgs tables
  if(newtables)then   
   x=x+1
   S95_t1(x)%id=142
   S95_t1(x)%charge=0
   S95_t1(x)%expt='LEP'				
   S95_t1(x)%label='hep-ex/0602042, table 14b (LEP)' ! table 14b
   S95_t1(x)%xmin=12.0D0
   S95_t1(x)%xmax=120.0D0
   S95_t1(x)%sep=0.5D0
   filename(x)='lep210_hbb'
   S95_t1(x)%OBid=1
  
   x=x+1
   S95_t1(x)%id=143
   S95_t1(x)%charge=0
   S95_t1(x)%expt='LEP'		
   S95_t1(x)%label='hep-ex/0602042, table 14c (LEP)' ! table 14c
   S95_t1(x)%xmin=4.0D0
   S95_t1(x)%xmax=120.0D0
   S95_t1(x)%sep=0.5D0	
   filename(x)='lep210_htt_interpol'
   S95_t1(x)%OBid=2
  else
   write(*,*)'WARNING: using old LEP tables' 
   x=x+1
   S95_t1(x)%id=142
   S95_t1(x)%charge=0
   S95_t1(x)%expt='LEP'		
   S95_t1(x)%label='LEP table 14b' ! table 14b
   S95_t1(x)%xmin=1.0D0
   S95_t1(x)%xmax=140.0D0
   S95_t1(x)%sep=0.1D0
   filename(x)='old-s95_h2z_bbz'
   S95_t1(x)%OBid=1
  
   x=x+1
   S95_t1(x)%id=143 
   S95_t1(x)%charge=0
   S95_t1(x)%expt='LEP'    
   S95_t1(x)%label='LEP table 14c' ! table 14c
   S95_t1(x)%xmin=1.0D0
   S95_t1(x)%xmax=140.0D0
   S95_t1(x)%sep=0.1D0
   filename(x)='old-s95_h2z_ttz'  
   S95_t1(x)%OBid=2
  endif

  !NEW! not yet in OB's code
  x=x+1
  S95_t1(x)%id=300 
  S95_t1(x)%charge=0
  S95_t1(x)%expt='LEP'    
  S95_t1(x)%label='hep-ex/0206022 (OPAL)' 
  S95_t1(x)%xmin=1.0D0
  S95_t1(x)%xmax=100.0D0
  S95_t1(x)%sep=1.0D0
  filename(x)='lep_decaymodeindep'  
  S95_t1(x)%OBid=-1
  
  !NEW! not yet in OB's code
  x=x+1
  S95_t1(x)%id=500 
  S95_t1(x)%charge=0
  S95_t1(x)%expt='LEP'    
  S95_t1(x)%label='LHWG Note 2002-02' 
  S95_t1(x)%xmin=20.0D0
  S95_t1(x)%xmax=116.0D0
  S95_t1(x)%sep=2.0D0
  filename(x)='LEP_h-gammagamma'  
  S95_t1(x)%OBid=-1

  !x=x+1 
  !S95_t1(x)%id=8742
  !S95_t1(x)%charge=0
  !S95_t1(x)%expt='CDF'				
  !S95_t1(x)%label='CDF Note 8742' ! table from CDF note 8742
  !S95_t1(x)%xmin=100.0D0
  !S95_t1(x)%xmax=150.0D0
  !S95_t1(x)%sep=5.0D0
  !filename(x)='CDF_ZH_llbb_1fb_8742_interpol' 
  
!   x=x+1
!   S95_t1(x)%id=7081
!   S95_t1(x)%charge=0
!   S95_t1(x)%expt='CDF'
!   S95_t1(x)%label='arxiv 070810 (CDF)'
!   S95_t1(x)%xmin=110.0D0
!   S95_t1(x)%xmax=150.0D0
!   S95_t1(x)%sep=5.0D0
!   filename(x)='CDF_ZH_nunubb_1.7fb_070810_interpol'
  
! !   x=x+1
! !   S95_t1(x)%id=8958 
! !   S95_t1(x)%charge=0
! !   S95_t1(x)%expt='CDF' 
! !   S95_t1(x)%label='CDF Note 8958' 
! !   S95_t1(x)%xmin=110.0D0
! !   S95_t1(x)%xmax=200.0D0
! !   S95_t1(x)%sep=10.0D0
! !   filename(x)='CDF_ggH_WW_1.9fb_8958' 
! !   S95_t1(x)%OBid=6
   
!   x=x+1
!   S95_t1(x)%id=8957
!   S95_t1(x)%charge=0
!   S95_t1(x)%expt='CDF'
!   S95_t1(x)%label='CDF Note 8957' 
!   S95_t1(x)%xmin=110.0D0
!   S95_t1(x)%xmax=150.0D0
!   S95_t1(x)%sep=5.0D0
!   filename(x)='CDF_WH_lnubb_1.7fb_8957_interpol'
!   S95_t1(x)%OBid=1  

!   x=x+1
!   S95_t1(x)%id=5489
!   S95_t1(x)%charge=0
!   S95_t1(x)%expt=' D0'
!   S95_t1(x)%label='D0 Note 5489' 
!   S95_t1(x)%xmin=120.0D0
!   S95_t1(x)%xmax=200.0D0
!   S95_t1(x)%sep=20.0D0
!   filename(x)='D0_ppH_WW_emu_0.6fb_5489'
!   S95_t1(x)%OBid=8
  
  !x=x+1
  !S95_t1(x)%id=5537
  !S95_t1(x)%charge=0
  !S95_t1(x)%expt=' D0'
  !S95_t1(x)%label='D0 Note 5537' 
  !S95_t1(x)%xmin=120.0D0
  !S95_t1(x)%xmax=200.0D0
  !S95_t1(x)%sep=20.0D0
  !filename(x)='D0_ppH_WW_ll_1.7fb_5537'
  
  x=x+1
  S95_t1(x)%id=5586
  S95_t1(x)%charge=0
  S95_t1(x)%expt=' D0'
  S95_t1(x)%label='D0 Note 5586' 
  S95_t1(x)%xmin=105.0D0
  S95_t1(x)%xmax=145.0D0
  S95_t1(x)%sep=10.0D0 
  filename(x)='D0_ZH_nunubb_2.1fb_5586'
  S95_t1(x)%OBid=5
  
!   x=x+1
!   S95_t1(x)%id=5482
!   S95_t1(x)%charge=0
!   S95_t1(x)%expt=' D0'
!   S95_t1(x)%label='D0 Note 5482' 
!   S95_t1(x)%xmin=105.0D0
!   S95_t1(x)%xmax=145.0D0
!   S95_t1(x)%sep=10.0D0 
!   filename(x)='D0_ZH_llbb_1.1fb_5482' 
 
!   x=x+1 
!   S95_t1(x)%id=5624
!   S95_t1(x)%charge=0
!   S95_t1(x)%expt=' D0'
!   S95_t1(x)%label='D0 Note 5624' 
!   S95_t1(x)%xmin=115.0D0
!   S95_t1(x)%xmax=200.0D0
!   S95_t1(x)%sep=5.0D0 
!   filename(x)='D0_ppH_WW_ll_2.3fb_5624'
!   S95_t1(x)%OBid=7   

  !x=x+1 
  !S95_t1(x)%id=5472
  !S95_t1(x)%charge=0
  !S95_t1(x)%expt=' D0'
  !S95_t1(x)%label='D0 Note 5472' 
  !S95_t1(x)%xmin=105.0D0
  !S95_t1(x)%xmax=145.0D0
  !S95_t1(x)%sep=10.0D0 
  !!filename(x)='D0_WH_lnubb_1.7fb_5472' 
  !filename(x)='D0_WH_lnubb_1.7fb_5472_Fig.6a'
  !S95_t1(x)%OBid=11
  
  !x=x+1 
  !S95_t1(x)%id=5502
  !S95_t1(x)%charge=0
  !S95_t1(x)%expt=' D0'
  !S95_t1(x)%label='D0 Note 5502' 
  !S95_t1(x)%xmin=120.0D0
  !S95_t1(x)%xmax=200.0D0
  !S95_t1(x)%sep=20.0D0 
  !filename(x)='D0_ppH_WW_ee_0.6fb_5502'  

  !x=x+1 
  !S95_t1(x)%id=5332
  !S95_t1(x)%charge=0
  !S95_t1(x)%expt=' D0'
  !S95_t1(x)%label='D0 Note 5332' 
  !S95_t1(x)%xmin=120.0D0
  !S95_t1(x)%xmax=180.0D0
  !S95_t1(x)%sep=20.0D0 
  !filename(x)='D0_ppH_WW_mutau_1fb_5332' 
  
  !x=x+1 
  !S95_t1(x)%id=5485
  !S95_t1(x)%charge=0
  !S95_t1(x)%expt=' D0'
  !S95_t1(x)%label='D0 Note 5485' 
  !S95_t1(x)%xmin=120.0D0
  !S95_t1(x)%xmax=200.0D0
  !S95_t1(x)%sep=20.0D0 
  !filename(x)='D0_WH_WWW_llnunu_1fb_5485'
  !S95_t1(x)%OBid=-1 

  x=x+1 
  S95_t1(x)%id=9071
  S95_t1(x)%charge=0
  S95_t1(x)%expt='CDF'
  S95_t1(x)%label='CDF Note 9071' 
  S95_t1(x)%xmin=90.0D0
  S95_t1(x)%xmax=250.0D0
  S95_t1(x)%sep=10.0D0 
  filename(x)='CDF_ppH_tautau_1.8fb_9071_interpol'
  S95_t1(x)%OBid=13

  !x=x+1 
  !S95_t1(x)%id=5331
  !S95_t1(x)%charge=0
  !S95_t1(x)%expt=' D0'
  !S95_t1(x)%label='D0 Note 5331' 
  !S95_t1(x)%xmin=90.0D0
  !S95_t1(x)%xmax=200.0D0
  !S95_t1(x)%sep=10.0D0 
  !filename(x)='D0_ppH_tautau_1fb_5331_interpol'

  x=x+1 
  S95_t1(x)%id=8961
  S95_t1(x)%charge=0
  S95_t1(x)%expt='TSM'
  S95_t1(x)%label='[hep-ex] arXiv:0712.2383v1 (TEVNPHWG)' !CDF Note 8961, D0 Note 5536
  S95_t1(x)%xmin=110.0D0
  S95_t1(x)%xmax=200.0D0
  S95_t1(x)%sep=5.0D0 
  filename(x)='CDF_D0_SM_combined_1.0-1.9fb_8961-5536_interpol'
  S95_t1(x)%OBid=6

!   x=x+1 
!   S95_t1(x)%id=5503
!   S95_t1(x)%charge=0
!   S95_t1(x)%expt=' D0'
!   S95_t1(x)%label='D0 Note 5503' 
!   S95_t1(x)%xmin=100.0D0
!   S95_t1(x)%xmax=170.0D0
!   S95_t1(x)%sep=10.0D0 
!   filename(x)='D0_bbH_bb_0.9fb_5503_interpol'

  !x=x+1 
  !S95_t1(x)%id=8954
  !S95_t1(x)%charge=0
  !S95_t1(x)%expt='CDF'
  !S95_t1(x)%label='CDF Note 8954' 
  !S95_t1(x)%xmin=90.0D0
  !S95_t1(x)%xmax=210.0D0
  !S95_t1(x)%sep=10.0D0 
  !filename(x)='CDF_bbH_bb_1fb_8954'

!   x=x+1 
!   S95_t1(x)%id=9236
!   S95_t1(x)%charge=0
!   S95_t1(x)%expt='CDF'
!   S95_t1(x)%label='CDF Note 9236' 
!   S95_t1(x)%xmin=110.0D0
!   S95_t1(x)%xmax=200.0D0
!   S95_t1(x)%sep=10.0D0 
!   filename(x)='CDF_ggH_WW_2.4fb_9236'
!   S95_t1(x)%OBid=12

!   x=x+1 
!   S95_t1(x)%id=9219
!   S95_t1(x)%charge=0
!   S95_t1(x)%expt='CDF'
!   S95_t1(x)%label='CDF Note 9219' 
!   S95_t1(x)%xmin=110.0D0
!   S95_t1(x)%xmax=150.0D0
!   S95_t1(x)%sep=5.0D0 
!   filename(x)='CDF_WH_lnubb_1.9fb_9219'    

  x=x+1 
  S95_t1(x)%id=9284
  S95_t1(x)%charge=0
  S95_t1(x)%expt='CDF'
  S95_t1(x)%label='CDF Note 9284' 
  S95_t1(x)%xmin=90.0D0
  S95_t1(x)%xmax=210.0D0
  S95_t1(x)%sep=10.0D0 
  filename(x)='CDF_bbH_bb_1.9fb_9284'
  S95_t1(x)%OBid=7

  x=x+1 
  S95_t1(x)%id=7307
  S95_t1(x)%charge=0
  S95_t1(x)%expt='CDF'
  S95_t1(x)%label='CDF Note 7307' 
  S95_t1(x)%xmin=110.0D0
  S95_t1(x)%xmax=200.0D0
  S95_t1(x)%sep=10.0D0 
  filename(x)='CDF_WH_WWW_2.7fb_7307vs3.0'  
  !filename(x)='CDF_WH_WWW_1.9fb_7307' 
  S95_t1(x)%OBid=15
  
  x=x+1 
  S95_t1(x)%id=2491
  S95_t1(x)%charge=0
  S95_t1(x)%expt=' D0'
  S95_t1(x)%label='[hep-ex] arXiv:0805.2491 (D0)' 
  S95_t1(x)%xmin=90.0D0
  S95_t1(x)%xmax=300.0D0
  S95_t1(x)%sep=10.0D0 
  filename(x)='D0_ppH_tautau_1fb_2491_interpol'
  S95_t1(x)%OBid=12

!   x=x+1 
!   S95_t1(x)%id=5601
!   S95_t1(x)%charge=0
!   S95_t1(x)%expt=' D0'
!   S95_t1(x)%label='D0 Note 5601' 
!   S95_t1(x)%xmin=100.0D0
!   S95_t1(x)%xmax=150.0D0
!   S95_t1(x)%sep=10.0D0 
!   filename(x)='D0_Hgaga_2.27fb_5601'
!   S95_t1(x)%OBid=22

  !taken out until we sort out a fermiophobic-ness test
  !x=x+1 
  !S95_t1(x)%id=1514
  !S95_t1(x)%charge=0
  !S95_t1(x)%expt=' D0'
  !S95_t1(x)%label='[hep-ex] arXiv:0803.1514v1 (D0)' 
  !S95_t1(x)%xmin=70.0D0
  !S95_t1(x)%xmax=150.0D0
  !S95_t1(x)%sep=10.0D0 
  !filename(x)='D0_gaga_1.1fb_1514'
  !S95_t1(x)%OBid=17
 
  
!   x=x+1 
!   S95_t1(x)%id=9166
!   S95_t1(x)%charge=0
!   S95_t1(x)%expt='CDF'
!   S95_t1(x)%label='CDF Note 9166' 
!   S95_t1(x)%xmin=110.0D0
!   S95_t1(x)%xmax=150.0D0
!   S95_t1(x)%sep=5.0D0 
!   filename(x)='CDF_VH_Metbb_1.97fb_9166_interpol'  
!   S95_t1(x)%OBid=21
  
  x=x+1 
  S95_t1(x)%id=9290
  S95_t1(x)%charge=0
  S95_t1(x)%expt='TSM'
  S95_t1(x)%label='[hep-ex] arXiv:0804.3423 (TEVNPHWG)' !CDF Note 9290, D0 Note 5645
  S95_t1(x)%xmin=110.0D0
  S95_t1(x)%xmax=200.0D0
  S95_t1(x)%sep=5.0D0 
  filename(x)='CDF_D0_SM_combined_1.0-2.4fb_9290-5645_interpol'
  S95_t1(x)%OBid=19

  x=x+1 
  S95_t1(x)%id=9248
  S95_t1(x)%charge=0
  S95_t1(x)%expt='CDF'
  S95_t1(x)%label='CDF Note 9248' 
  S95_t1(x)%xmin=110.0D0
  S95_t1(x)%xmax=150.0D0
  S95_t1(x)%sep=5.0D0 
  filename(x)='CDF_SMcomb_tautau_2.0fb_9248_interpol'
  S95_t1(x)%OBid=18

  x=x+1 
  S95_t1(x)%id=3556
  S95_t1(x)%charge=0
  S95_t1(x)%expt=' D0'
  S95_t1(x)%label='[hep-ex] arXiv:0805.3556 (D0)' 
  S95_t1(x)%xmin=90.0D0
  S95_t1(x)%xmax=220.0D0
  S95_t1(x)%sep=10.0D0 
  filename(x)='D0_bbH_bb_1.0fb_3556_interpol'
  S95_t1(x)%OBid=11

  x=x+1 
  S95_t1(x)%id=3930
  S95_t1(x)%charge=0
  S95_t1(x)%expt='CDF'
  S95_t1(x)%label='[hep-ex] arXiv:0809.3930 (CDF)' 
  S95_t1(x)%xmin=110.0D0
  S95_t1(x)%xmax=200.0D0
  S95_t1(x)%sep=10.0D0 
  filename(x)='CDF_ggH_WW_3.0fb_3930'
  S95_t1(x)%OBid=21

  x=x+1 
  S95_t1(x)%id=5757
  S95_t1(x)%charge=0
  S95_t1(x)%expt=' D0'
  S95_t1(x)%label='D0 Note 5757' 
  S95_t1(x)%xmin=115.0D0
  S95_t1(x)%xmax=200.0D0
  S95_t1(x)%sep=5.0D0 
  filename(x)='D0_ppH_WW_ll_3.0fb_5757'
  S95_t1(x)%OBid=20

  !x=x+1 
  !S95_t1(x)%id=9463
  !S95_t1(x)%charge=0
  !S95_t1(x)%expt='CDF'
  !S95_t1(x)%label='CDF Note 9463' 
  !S95_t1(x)%xmin=100.0D0
  !S95_t1(x)%xmax=150.0D0
  !S95_t1(x)%sep=5.0D0 
  !filename(x)='CDF_WH_lnubb_2.7fb_9463'
  !S95_t1(x)%OBid=13

  !x=x+1 
  !S95_t1(x)%id=5570
  !S95_t1(x)%charge=0
  !S95_t1(x)%expt=' D0'
  !S95_t1(x)%label='D0 Note 5570' 
  !S95_t1(x)%xmin=100.0D0
  !S95_t1(x)%xmax=150.0D0
  !S95_t1(x)%sep=5.0D0 
  !filename(x)='D0_ZH_llbb_2.3fb_5570'
  !S95_t1(x)%OBid=-1

  x=x+1 
  S95_t1(x)%id=5726
  S95_t1(x)%charge=0
  S95_t1(x)%expt=' D0'
  S95_t1(x)%label='D0 Note 5726' 
  S95_t1(x)%xmin=90.0D0
  S95_t1(x)%xmax=220.0D0
  S95_t1(x)%sep=10.0D0 
  filename(x)='D0_bbH_bb_2.6fb_5726_sq_interpol'
  S95_t1(x)%OBid=10

  x=x+1 
  S95_t1(x)%id=4493
  S95_t1(x)%charge=0
  S95_t1(x)%expt='CDF'
  S95_t1(x)%label='[hep-ex] arXiv:0807.4493 (CDF)' 
  S95_t1(x)%xmin=110.0D0
  S95_t1(x)%xmax=150.0D0
  S95_t1(x)%sep=5.0D0 
  filename(x)='CDF_ZH_llbb_1fb_4493_interpol'
  S95_t1(x)%OBid=1

  !x=x+1 
  !S95_t1(x)%id=9475
  !S95_t1(x)%charge=0
  !S95_t1(x)%expt='CDF'
  !S95_t1(x)%label='CDF Note 9475' 
  !S95_t1(x)%xmin=100.0D0
  !S95_t1(x)%xmax=150.0D0
  !S95_t1(x)%sep=5.0D0 
  !filename(x)='CDF_ZH_llbb_2.4fb_9475'
  !S95_t1(x)%OBid=2

  x=x+1 
  S95_t1(x)%id=9465
  S95_t1(x)%charge=0
  S95_t1(x)%expt='TSM'
  S95_t1(x)%label='[hep-ex] arXiv:0808.0534 (TEVNPHWG)' !CDF Note 9465, D0 Note 5754
  S95_t1(x)%xmin=155.0D0
  S95_t1(x)%xmax=200.0D0
  S95_t1(x)%sep=5.0D0 
  !filename(x)='CDF_D0_SM_combined_3.0fb_9465-5754_CLs'
  filename(x)='CDF_D0_SM_combined_3.0fb_9465-5754_bayesian'
  S95_t1(x)%OBid=22

  !x=x+1 
  !S95_t1(x)%id=5737
  !S95_t1(x)%charge=0
  !S95_t1(x)%expt=' D0'
  !S95_t1(x)%label='D0 Note 5737'
  !S95_t1(x)%xmin=100.0D0
  !S95_t1(x)%xmax=150.0D0
  !S95_t1(x)%sep=5.0D0 
  !filename(x)='D0_gaga_2.68fb_5737'
  !S95_t1(x)%OBid=-1

  !x=x+1
  !S95_t1(x)%id=9483
  !S95_t1(x)%charge=0
  !S95_t1(x)%expt='CDF'
  !S95_t1(x)%label='CDF note 9483'
  !S95_t1(x)%xmin=105.0D0
  !S95_t1(x)%xmax=150.0D0
  !S95_t1(x)%sep=5.0D0
  !filename(x)='CDF_VH_Metbb_2.1fb_9483'
  !S95_t1(x)%OBid=3

  !x=x+1 
  !S95_t1(x)%id=9500
  !S95_t1(x)%charge=0
  !S95_t1(x)%expt='CDF'
  !S95_t1(x)%label='CDF Note 9500'
  !S95_t1(x)%xmin=110.0D0
  !S95_t1(x)%xmax=200.0D0
  !S95_t1(x)%sep=5.0D0 
  !filename(x)='CDF_ggH_WW_3.0fb_9500_interpol'


  !x=x+1 
  !S95_t1(x)%id=9713
  !S95_t1(x)%charge=0
  !S95_t1(x)%expt='TSM'
  !S95_t1(x)%label='CDF Note 9713, D0 Note 5889'
  !S95_t1(x)%xmin=100.0D0
  !S95_t1(x)%xmax=200.0D0
  !S95_t1(x)%sep=5.0D0 
  !filename(x)='CDF_D0_SM_combined_4.2fb_9713-5889_bayesian'
  !S95_t1(x)%OBid=-1

  x=x+1 
  S95_t1(x)%id=5876
  S95_t1(x)%charge=0
  S95_t1(x)%expt=' D0'
  S95_t1(x)%label='D0 Note 5876'
  S95_t1(x)%xmin=100.0D0
  S95_t1(x)%xmax=150.0D0
  S95_t1(x)%sep=5.0D0 
  filename(x)='D0_ZH_llbb_4.2fb_5876'
  S95_t1(x)%OBid=4

  x=x+1 
  S95_t1(x)%id=1024
  S95_t1(x)%charge=0
  S95_t1(x)%expt='CDF'
  S95_t1(x)%label='CDF Note XXXX, zhllbb_081024'
  S95_t1(x)%xmin=100.0D0
  S95_t1(x)%xmax=150.0D0
  S95_t1(x)%sep=5.0D0 
  filename(x)='CDF_ZH_llbb_2.7fb_1024'
  S95_t1(x)%OBid=2

  x=x+1 
  S95_t1(x)%id=5873
  S95_t1(x)%charge=0
  S95_t1(x)%expt=' D0'
  S95_t1(x)%label='D0 Note 5873'
  S95_t1(x)%xmin=120.0D0
  S95_t1(x)%xmax=200.0D0
  S95_t1(x)%sep=20.0D0 
  filename(x)='D0_WH_WWW_llnunu_3.6fb_5873'
  S95_t1(x)%OBid=14

  x=x+1 
  S95_t1(x)%id=9596
  S95_t1(x)%charge=0
  S95_t1(x)%expt='CDF'
  S95_t1(x)%label='CDF Note 9596' 
  S95_t1(x)%xmin=100.0D0
  S95_t1(x)%xmax=150.0D0
  S95_t1(x)%sep=5.0D0 
  filename(x)='CDF_WH_lnubb_2.7fb_9596' 
  S95_t1(x)%OBid=9

  x=x+1 
  S95_t1(x)%id=5828
  S95_t1(x)%charge=0
  S95_t1(x)%expt=' D0'
  S95_t1(x)%label='D0 Note 5828'
  S95_t1(x)%xmin=100.0D0
  S95_t1(x)%xmax=150.0D0
  S95_t1(x)%sep=5.0D0 
  filename(x)='D0_WH_lnubb_2.7fb_5828'
  S95_t1(x)%OBid=8

  x=x+1 
  S95_t1(x)%id=9642
  S95_t1(x)%charge=0
  S95_t1(x)%expt='CDF'
  S95_t1(x)%label='CDF Note 9642'
  S95_t1(x)%xmin=105.0D0
  S95_t1(x)%xmax=150.0D0
  S95_t1(x)%sep=5.0D0 
  filename(x)='CDF_VH_Metbb_2.1fb_9642'
  S95_t1(x)%OBid=3

  x=x+1 
  S95_t1(x)%id=5858
  S95_t1(x)%charge=0
  S95_t1(x)%expt=' D0'
  S95_t1(x)%label='D0 Note 5858'
  S95_t1(x)%xmin=100.0D0
  S95_t1(x)%xmax=150.0D0
  S95_t1(x)%sep=2.5D0 
  filename(x)='D0_gaga_4.2fb_5858'
  S95_t1(x)%OBid=16

  x=x+1 
  S95_t1(x)%id=1970
  S95_t1(x)%charge=0
  S95_t1(x)%expt=' D0'
  S95_t1(x)%label='[hep-ex] arXiv:0808.1970 (D0)'
  S95_t1(x)%xmin=100.0D0
  S95_t1(x)%xmax=150.0D0
  S95_t1(x)%sep=5.0D0 
  filename(x)='D0_WH_lnubb_1.05fb_1970'
  S95_t1(x)%OBid=25

  x=x+1 
  S95_t1(x)%id=1266
  S95_t1(x)%charge=0
  S95_t1(x)%expt=' D0'
  S95_t1(x)%label='[hep-ex] arXiv:0808.1266 (D0)'
  S95_t1(x)%xmin=105.0D0
  S95_t1(x)%xmax=135.0D0
  S95_t1(x)%sep=10.0D0 
  filename(x)='D0_VH_bb_0.93fb_1266'
  S95_t1(x)%OBid=29

  x=x+1 
  S95_t1(x)%id=1887
  S95_t1(x)%charge=0
  S95_t1(x)%expt=' D0'
  S95_t1(x)%label='[hep-ex] arXiv:0901.1887 (D0)'
  S95_t1(x)%xmin=100.0D0
  S95_t1(x)%xmax=150.0D0
  S95_t1(x)%sep=5.0D0 
  filename(x)='D0_Hgaga_2.7fb_1887'
  S95_t1(x)%OBid=31

  x=x+1 
  S95_t1(x)%id=5871
  S95_t1(x)%charge=0
  S95_t1(x)%expt=' D0'
  S95_t1(x)%label='D0 Note 5871'
  S95_t1(x)%xmin=115.0D0
  S95_t1(x)%xmax=200.0D0
  S95_t1(x)%sep=5.0D0 
  filename(x)='D0_H-WW_llnunu_4.2fb_5871'
  S95_t1(x)%OBid=24

  x=x+1 
  S95_t1(x)%id=9022
  S95_t1(x)%charge=0
  S95_t1(x)%expt='CDF'
  S95_t1(x)%label='CDF Note XXXX,"old" ggH XS,hwwmenn_090227'
  S95_t1(x)%xmin=110.0D0
  S95_t1(x)%xmax=200.0D0
  S95_t1(x)%sep=5.0D0 
  filename(x)='CDF_H-WW_3.6fb_9022_interpol'
  S95_t1(x)%OBid=23

  !NEW! not yet in OB's code
  !x=x+1 
  !S95_t1(x)%id=9023
  !S95_t1(x)%charge=0
  !S95_t1(x)%expt='CDF'
  !S95_t1(x)%label='CDF Note XXXX,"new" ggH XS,hwwmenn_090227'
  !S95_t1(x)%xmin=110.0D0
  !S95_t1(x)%xmax=200.0D0
  !S95_t1(x)%sep=5.0D0 
  !filename(x)='CDF_H-WW_3.6fb_9023_interpol'
  !S95_t1(x)%OBid=-1

  x=x+1 
  S95_t1(x)%id=3493
  S95_t1(x)%charge=0
  S95_t1(x)%expt='CDF'
  S95_t1(x)%label='[hep-ex] arXiv:0803.3493v1 (CDF)'
  S95_t1(x)%xmin=110.0D0
  S95_t1(x)%xmax=150.0D0
  S95_t1(x)%sep=5.0D0 
  filename(x)='CDF_WH_lnubb_1fb_3493_interpol'
  S95_t1(x)%OBid=26

  x=x+1 
  S95_t1(x)%id=0024
  S95_t1(x)%charge=0
  S95_t1(x)%expt=' D0'
  S95_t1(x)%label='[hep-ex] arXiv:0811.0024v1 (D0)'
  S95_t1(x)%xmin=90.0D0
  S95_t1(x)%xmax=150.0D0
  S95_t1(x)%sep=10.0D0 
  filename(x)='D0_bH_btautau_328pb_0024'
  S95_t1(x)%OBid=27

  x=x+1 
  S95_t1(x)%id=5740
  S95_t1(x)%charge=0
  S95_t1(x)%expt=' D0'
  S95_t1(x)%label='D0 Note 5740'
  S95_t1(x)%xmin=90.0D0
  S95_t1(x)%xmax=300.0D0
  S95_t1(x)%sep=10.0D0 
  filename(x)='D0_H-tautau_2.2fb_5740_interpol'
  S95_t1(x)%OBid=28

  x=x+1 
  S95_t1(x)%id=0432
  S95_t1(x)%charge=0
  S95_t1(x)%expt='CDF'
  S95_t1(x)%label='[hep-ex] arXiv:0802.0432 (CDF)'
  S95_t1(x)%xmin=110.0D0
  S95_t1(x)%xmax=140.0D0
  S95_t1(x)%sep=5.0D0 
  filename(x)='CDF_VH_Metbb_1fb_0432'
  S95_t1(x)%OBid=30

  x=x+1 
  S95_t1(x)%id=9674
  S95_t1(x)%charge=0
  S95_t1(x)%expt='CDF'
  S95_t1(x)%label='CDF Note 9674'
  S95_t1(x)%xmin=100.0D0
  S95_t1(x)%xmax=200.0D0
  S95_t1(x)%sep=5.0D0 
  filename(x)='CDF_SM_combined_2.0-3.0fb_9674_interpol'
  S95_t1(x)%OBid=32

  x=x+1 
  S95_t1(x)%id=0598
  S95_t1(x)%charge=0
  S95_t1(x)%expt=' D0'
  S95_t1(x)%label='[hep-ex] arXiv:0712.0598v1 (D0)'
  S95_t1(x)%xmin=100.0D0
  S95_t1(x)%xmax=200.0D0
  S95_t1(x)%sep=5.0D0 
  filename(x)='D0_SM_combined_0598_interpol'
  S95_t1(x)%OBid=33

  ! checks we've filled the whole array
  if(x.ne.xend)then
   stop'error in initializetables1 (a)'
  endif 
 
  ! do loop to read in S95 tables 
  do x=xbeg,xend
  
   fullfilename=trim(adjustl(pathname))//'Expt_tables/' &
              &   //trim(adjustl(S95_t1(x)%expt))//'tables/' &
	      &   //trim(filename(x))//'.txt'
	
   call read_tabletype1(S95_t1(x),5,3,fullfilename)	      
     
  enddo	
 	
  deallocate(filename)
	 	
 end subroutine initializetables1
 
 !************************************************************		
 subroutine read_tabletype1(t1,skip,col,fullfilename)
 !************************************************************	 
 !uses t1%xmin,t1%xmax,t1%sep and fullfilename to fill t1%nx
 !and allocate&fill t1%dat
  !--------------------------------------input
  type(table1) :: t1  
  integer :: skip,col
  character(LEN=*) :: fullfilename
  !-----------------------------------internal
  integer :: i,n	
  double precision :: xdummy,xdummy_store
  !-------------------------------------------
  
  t1%nx=nint((t1%xmax-t1%xmin)/t1%sep)+1
   
  allocate(t1%dat(t1%nx,col-1))
 
  open(10, file=(trim(fullfilename)))
   
  do i=1,skip
   read(10,*) !skip lines
  enddo 
   
  xdummy_store = t1%xmin-t1%sep
  do i=1,t1%nx
   read(10,*)xdummy,(t1%dat(i,n),n=1,col-1) 

   ! checks that x are evenly spaced as expected
   if((abs(xdummy-xdummy_store-t1%sep).gt.1.0D-7) &
     &  .or.(abs(xdummy-(t1%xmin+dble(i-1)*t1%sep)).gt.1.0D-7))then
    stop 'error in read_tabletype1 (a)'
   endif     	
	 
   xdummy_store=xdummy	 
	 
  enddo  
   
  close(10) 
  
 end subroutine read_tabletype1
 !************************************************************
end module S95tables_type1
!************************************************************
